import { OnInit } from "@angular/core";
import * as i0 from "@angular/core";
export declare class AccordionComponent implements OnInit {
    label: string;
    key: string;
    defaultOpen: boolean;
    name: string;
    isOpen: boolean;
    constructor();
    genId(): string;
    toggle(): void;
    setOpen(open: boolean): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDef<AccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AccordionComponent, "ins-accordion", never, { "label": "label"; "key": "key"; "defaultOpen": "defaultOpen"; "name": "name"; }, {}, never, ["*"]>;
}
